Minecraft 1.6.4 – Using Oculus Rift with ATLauncher Mod Packs/Technical Packs

So I recently bought an Oculus Rift and in anticipation of its arrival I wanted to get it working on heavily modded Minecraft versions (1.6.4).

Before I begin, I’m no expert on this, however I fought and fought until I finally got it working with pretty much any modpack @ 1.6.4…  Please keep in mind this tutorial is probably best for advanced users: I do not guarantee compatibility and usability between the GUI mods (aka minimaps etc) along with the Oculus Rift.  I have however gotten the Minecrift Mod to work with other Modpacks such as  Tekkit/Hexxit/and various others with ATLauncher.  Props go to MrLambo for his FTB tutorial, it was a big help in figuring out how to get Minecrift working with other mods.  Before doing this, it is usually best to backup your .minecraft, delete everything and start from scratch…Here is how it works:

1. First follow this tutorial on how to install Minecrift WITH FORGE!!!: Minecrift Install

2. Once that is done, go ahead and install whatever you want…via Tekkit, ATLauncher, etc.  You just need to remember where the install folder is depending on what you installed… (for ATLauncher after you install an ‘instance’ it would be something like… C:\Users\XXXXXX\Desktop\Minecraft Server\Instances\TheMadPack for Tekkit/Hexxit it would be something like C:\Users\XXXX\AppData\Roaming\.technic\modpacks)

3. Open your Minecraft Launcher (should already be ready for Minecrift/Forge), create a new profile using the bottom left button… Here is what you need to change in your ‘Profile Editor’ settings:

Profile Name: Whatever you want
Game Directory: This should be whatever you installed to above so for mine example using “Mad Pack on ATLauncher” it is…

C:\Users\Rojamahorse\Desktop\Minecraft Server\Instances\TheMadPack

Version Selection: Make sure ‘Enable experimental development versions (“snapshots”)’ is checked off

Use version: Select release minecrift-1.6.4-b12-forge-nohydra (or whichever forge version you installed was

JVM Arguments: Cut and Paste the following without the quotes “-XX:MaxPermSize=512m -XX:PermSize=512m -Dfml.ignorePatchDiscrepancies=true -Dfml.ignoreInvalidMinecraftCertificates=true”

Image

4. Save your profile and you should be good to go

Essentially this is just forcing the Vanilla Launcher to use different launch parameters, a different Modified Directory other than your .minecraft folder, while still using the Minecrift 1.6.4.jar. You should be able to launch directly from your Minecraft Launcher (1.3.8 currently).  You will not want to launch using Tekkit or ATLauncher.  I really hope this helps!

 

Advertisements

2 comments

  1. I can’t get this to work, it gives me an EntityRenderer error everytime. I followed your directions exactly for 1.6.4 with ATL and Mad Pack. It works fine with the forge and normal 1.6.4 but not the minecrift one.

    1. Hi Brandon, Since the latest patch I had some crashes with it as well. I’ll do my best to play around and see if I can get it working again, no promises but I’ll try 🙂

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s